package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="user_leave_planner_hst")
public class UserLeavePlannerHst implements Serializable{
	
	/* Table: user_leave_planner_Hst
	-----------------------------
	  
	 Column Information 
	----------------------

	Field                   Type          Collation          Null    Key     Default  Extra   Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
	legal_entity_code       int(2)        (NULL)             NO      	     (NULL)           select,insert,update,references 
	id                      int(11)       (NULL)             NO      PRI     (NULL)   auto_increment  select,insert,update,references                     
	user_id                 varchar(20)   latin1_swedish_ci  NO      	     (NULL)           select,insert,update,references           
	leave_type              varchar(4)    latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	start_date              date          (NULL)             NO      	     (NULL)           select,insert,update,references           
	end_date                date          (NULL)             NO              (NULL)           select,insert,update,references           
	reason                  varchar(200)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	reference               varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	auth_rej_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)           select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)           select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)             YES             (NULL)           select,insert,update,references 
	*/
	
	@Column(name = "legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	private Integer id;
	
	@Column(name="user_id")
	private String userId;
	
	@Column(name = "leave_type")
	private String leaveType;
	
	@Column(name = "start_date")
	private Date startDate;
	
	@Column(name = "end_date")
	private Date endDate;
	
	@Column(name = "reason")
	private String reason;
	
	@Column(name = "reference")
	private String reference;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="status")
	private String status;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getLeaveType() {
		return leaveType;
	}

	public void setLeaveType(String leaveType) {
		this.leaveType = leaveType;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getReference() {
		return reference;
	}

	public void setReference(String reference) {
		this.reference = reference;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}
	
	

}
